// Vertex Shader  file "shadername.vert"

#version 330 core

uniform mat4 PVM_mat;

uniform mat4 proj_mat;
uniform mat4 view_mat;
uniform mat4 model_mat;

in vec4 in_position;
in vec3 in_normal;
in vec3 in_colour;

out vec3 colour;

void main(void)
{
	//gl_Position = PVM_mat * in_position;
	
	
	//gl_Position = glm::mat4(1.0f) * in_position;
	gl_Position = proj_mat * view_mat * model_mat * in_position;


	//gl_Position = proj_mat * view_mat * in_position;
	
	
	
	//gl_Position = vec4(in_position.xy, 0.0, 1.0);

	//gl_Position = proj_mat * view_mat * vec4(in_position.xy, -5.0, 1.0);

	colour = in_colour;
	//colour = in_normal;//*0.5+0.5;
}
