#version 330

uniform	sampler2D texUnit;

in vec2 texCoord;
out vec4 out_texture;

void main()
{
	vec3 colour = texture2D(texUnit, texCoord).rgb;
	if (colour.r < 0.8 || colour.g < 0.8 || colour.b < 0.8) {
		out_texture = vec4(colour, 1);
	} else {
		discard;
	}
}
